name = "Killer's Traps"
forumthread = ""
russian = russian or (language == "ru") --пока что не переведено
description = 'Kill your enemies in PvP, using traps!'
author = "star"
version = "2.14"
api_version = 10
dont_starve_compatible = false
reign_of_giants_compatible = false
dst_compatible = true
all_clients_require_mod = true
client_only_mod = false
server_filter_tags = {"killersTraps"}

icon_atlas = "preview.xml"
icon = "preview.tex"

priority = -0.000385650867 --unique priority

configuration_options =
{
	{
		name = "distance",
		label = "Radius of the view",
		hover = "All new traps within this range will be unhidden.\nWidth of screen is ~25.",
		options = 
		{
			{description = "10", data = 10 * 10},
			{description = "15", data = 15 * 15},
			{description = "20", data = 20 * 20},
			{description = "25", data = 25 * 25},
		}, 
		default = 20 * 20,
	},
	{
		name = "can_talk",
		label = "I can see it!",
		hover = "Players will say it if see new trap around just after reset.",
		options = 
		{
			{description = "Say", data = true},
			{description = "Don't say", data = false},
		}, 
		default = true,
	},
	{
		name = "time_see", --in minutes!!
		label = "Time to see",
		hover = "How much time is needed for player to see hidden trap.",
		options = 
		{
			{description = "1.0 min", data = 1},
			{description = "1.5 min", data = 1.5},
			{description = "2.0 min", data = 2.0},
			{description = "2.5 min", data = 2.5},
			{description = "3.0 min", data = 3},
			{description = "3.5 min", data = 3.5},
			{description = "4.0 min", data = 4},
			{description = "4.5 min", data = 4.5},
			{description = "5.0 min", data = 5},
			{description = "6.0 min", data = 6},
			{description = "8.0 min", data = 8},
			{description = "10 min", data = 10},
		}, 
		default = 2.5,
	},
	{
		name = "animal_mult",
		label = "Damage on animal",
		--hover = "Players will say it if see new trap around just after reset.",
		options = 
		{
			{description = "x0.5", data = 0.5},
			{description = "x1", data = 1},
			{description = "x1.5", data = 1.5},
			{description = "x2", data = 2},
			{description = "x2.5", data = 2.5},
			{description = "x3", data = 3},
		}, 
		default = 2,
	},	
	{
		name = "balance_damage",
		label = "Balance of Traps",
		hover = "Change damage and count of uses of supported traps.",
		options = 
		{
			{description = "Yes", data = true},
			{description = "No", data = false},
		}, 
		default = true,
	},	
}

